# This file created by conda-build 3.22.0
# ------------------------------------------------

package:
  name: py-mxnet
  version: 1.5.1
source:
  patches:
    - patches/0001-Relax-constraints-on-requests-make-graphviz-optional.patch
    - patches/0002-conda-unbundle-libmxnet-DSO.patch
    - patches/0002-cpu-fix.patch
  sha256: b182c301eb0232aa84440b5b632b4d357a2d6d711f7e7b56133504283d0d19e7
  url: https://github.com/apache/incubator-mxnet/releases/download/1.5.1/apache-mxnet-src-1.5.1-incubating.tar.gz
build:
  number: 0
  string: py37hf152742_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - binutils_impl_linux-aarch64 2.38 h0c9fd12_1
    - binutils_linux-aarch64 2.38.0 h0c7b1b4_0
    - gcc_impl_linux-aarch64 11.2.0 h1234567_1
    - gcc_linux-aarch64 11.2.0 h3fc98b3_0
    - gxx_impl_linux-aarch64 11.2.0 h1234567_1
    - gxx_linux-aarch64 11.2.0 h0c7b1b4_0
    - kernel-headers_linux-aarch64 4.14.214 h1cb168f_14
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libgcc-devel_linux-aarch64 11.2.0 h1234567_1
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-devel_linux-aarch64 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - sysroot_linux-aarch64 2.26 h4744778_14
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 51_gnu
    - blas 1.0 openblas
    - brotlipy 0.7.0 py37hfd63f10_1002
    - ca-certificates 2022.07.19 hd43f75c_0
    - certifi 2022.9.24 py37hd43f75c_0
    - cffi 1.15.1 py37h795f6ad_0
    - charset-normalizer 2.0.4 pyhd3eb1b0_0
    - cryptography 37.0.1 py37h3d58568_0
    - cython 0.29.32 py37h998d150_0
    - idna 3.3 pyhd3eb1b0_0
    - ld_impl_linux-aarch64 2.38 h8131f2d_1
    - libffi 3.3 h7c1a80f_2
    - libgcc-ng 11.2.0 h1234567_1
    - libgfortran-ng 11.2.0 h6e398d7_1
    - libgfortran5 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libmxnet 1.5.1 openblas_h193f798_0
    - libopenblas 0.3.21 hc2e42e2_0
    - libstdcxx-ng 11.2.0 h1234567_1
    - ncurses 6.3 h998d150_3
    - nomkl 3.0 0
    - numpy 1.21.5 py37h8708280_3
    - numpy-base 1.21.5 py37h4a83355_3
    - openssl 1.1.1q h2f4d8fa_0
    - pycparser 2.21 pyhd3eb1b0_0
    - pyopenssl 22.0.0 pyhd3eb1b0_0
    - pysocks 1.7.1 py37hd43f75c_0
    - python 3.7.13 hc137634_0
    - readline 8.1.2 h2f4d8fa_1
    - requests 2.28.1 py37hd43f75c_0
    - setuptools 63.4.1 py37hd43f75c_0
    - sqlite 3.39.3 hf533066_0
    - tk 8.6.12 h241ca14_0
    - urllib3 1.26.11 py37hd43f75c_0
    - xz 5.2.6 h998d150_0
    - zlib 1.2.12 h998d150_3
  run:
    - libgcc-ng >=11.2.0
    - libmxnet 1.5.1 openblas_h193f798_0
    - libstdcxx-ng >=11.2.0
    - numpy >1.16.0,<=2.0.0
    - python >=3.7,<3.8.0a0
    - requests >=2.20.0,<3
test:
  imports:
    - mxnet
  script: py-mxnet_test.py
about:
  description: 'Apache MXNet (incubating) is a deep learning framework designed for
    both

    efficiency and flexibility. It allows you to mix symbolic and imperative

    programming to maximize efficiency and productivity. At its core, MXNet

    contains a dynamic dependency scheduler that automatically parallelizes both

    symbolic and imperative operations on the fly. A graph optimization layer on

    top of that makes symbolic execution fast and memory efficient. MXNet is

    portable and lightweight, scaling effectively to multiple GPUs and multiple

    machines. MXNet is also more than a deep learning project. It is also a

    collection of blue prints and guidelines for building deep learning systems,

    and interesting insights of DL systems for hackers.

    '
  dev_url: https://github.com/apache/incubator-mxnet
  doc_url: https://mxnet.incubator.apache.org/
  home: https://mxnet.apache.org
  license: Apache-2
  license_family: Apache
  license_file: LICENSE
  summary: MXNet is a deep learning framework designed for both efficiency and flexibility
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: 46a5b459-951e-4787-b52f-b1e0348f1fdd
  recipe-maintainers:
    - jjhelmus
    - nehaljwani
  remote_url: git@github.com:AnacondaRecipes/mxnet-feedstock.git
  sha: 3ff11ea4c104f706106c56d6ccc36e058d0c8c72
